- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Lists the approvals on a file. For more information, see Manage approvals.
HTTP request
GET https://www.googleapis.com/drive/v3/files/{fileId}/approvals
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
fileId |
Required. The ID of the file that the approval is on. |
Query parameters
| Parameters | |
|---|---|
pageSize |
The maximum number of approvals to return. When not set, at most 100 approvals are returned. |
pageToken |
The token for continuing a previous list request on the next page. This should be set to the value of |
Request body
The request body must be empty.
Response body
The response of an approvals list request.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"kind": string,
"items": [
{
object ( |
| Fields | |
|---|---|
kind |
This is always drive#approvalList |
items[] |
The list of approvals. If |
nextPageToken |
The page token for the next page of approvals. This is absent if the end of the approvals list has been reached. If the token is rejected for any reason, it should be discarded, and pagination should be restarted from the first page of results. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/drivehttps://www.googleapis.com/auth/drive.appdatahttps://www.googleapis.com/auth/drive.filehttps://www.googleapis.com/auth/drive.metadatahttps://www.googleapis.com/auth/drive.metadata.readonlyhttps://www.googleapis.com/auth/drive.readonly
Some scopes are restricted and require a security assessment for your app to use them. For more information, see the Authorization guide.